CH_COPY(3)

EXPERIMENTAL_FUNC
ch_copy - Copy bytes from one channel to another in an optimal way.

SYNOPSIS
#include <karma_ch.h>

uaddr ch_copy

(Channel out, Channel in, uaddr num_bytes)

DESCRIPTION
Copy bytes from one channel to another in an optimal way.

out The output channel.

in  The input channel.

num_bytes
    The number of bytes to copy. If this is 0, the remaining unread contents of <<in>> are copied.

RETURN VALUE
The number of bytes copied. On error a message is generated and the number of bytes successfully copied is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/